      SUBROUTINE FRMCTL (N)
C
      IMPLICIT LOGICAL*1 (B)
      DOUBLE PRECISION SYMBOL
      COMMON/PARAMS/LUNIN,LUNOUT,LUNCMD,BTAB,BSPC,NLINE,NSTMT,
     1ICLASS,BCHR,BLST,JSYM(2),NSYMTP,IPARNS,NPAGE
      COMMON /INBUFR/INSIZ,INCNT,IOUTX,MCRSIZ,INFIL,IOUTFL,
     1BDPB(2),BUFR(80),BNAM(24),BTIME(8),BDATE(9),BX(1)
      COMMON NSYM,NELM,KLIM,SYMBOL(1000)
C
	IF (N) 40,20,10
10	LINE=LINE+N
	IF (LINE .LT. 59) GOTO 40
20	NPAGE=NPAGE+1
	LINE=0
	WRITE(LUNOUT,100)BTIME,BDATE,NPAGE,BNAM
100	FORMAT('1CROSS REFERENCE V01.2 10-JUN-75',4X,8A1,4X,9A1,4X,
	1'PAGE:',I3,/,' FILE: ',24A1,/)
40	RETURN
	END
